Create option
post
/v1/products/{product_id}/optionsAdd a new option with values to an existing product.
Example
curl -X POST "https://api.ya.onl/v1/products/{product_id}/options" \
-H "X-API-Key: yv_live_v1_…" \
-H "Content-Type: application/json" \
-d '{"name":"…","values":"…"}'Parameters
product_idintegerpathProduct identifier
Request body
namestringOption group name
valuesstring[]Option values (at least 1)
Responses
201Successful Response
401Invalid or missing API key
403API key lacks the
products:write scope404Product not found
422Validation Error
429Rate limit exceeded
